Bug 1272337 - ERROR -- : RedhatAccessCfme::PortalClient: Caught HTTP error when proxying call to tapi: 401 Unauthorized: {"message":"Unauthorized: null user"} on clicking Access Insights
ERROR -- : RedhatAccessCfme::PortalClient: Caught HTTP error when proxying ca...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Red Hat Access (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Lindani Phiri
Aziza Karol
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 03:08 EDT by Aziza Karol
Modified: 2015-12-08 08:39 EST (History)
9 users (show)

See Also:
Fixed In Version: rh-ruby22-rubygem-redhat_access_cfme-0.0.3-2.el7cf.noarch.rpm (cfme-5.5.0.8)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:39:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aziza Karol 2015-10-16 03:08:52 EDT
Description of problem:


Version-Release number of selected component (if applicable):
5.5.0.6

How reproducible:
100%

Steps to Reproduce:
1.Navigate to Access Insights.
2.also try clicking on Overview/Rules or systems
3.

Actual results:
ERROR -- : RedhatAccessCfme::PortalClient: Caught HTTP error when proxying call to tapi: 401 Unauthorized: {"message":"Unauthorized: null user"} in production.log

Expected results:


Additional info:
production.log
[----] I, [2015-10-16T03:03:51.382585 #2937:afb98c]  INFO -- : Processing by RedhatAccessCfme::TelemetryApiController#proxy as HTML
[----] I, [2015-10-16T03:03:51.382667 #2937:afb98c]  INFO -- :   Parameters: {"path"=>"systems/status"}
[----] I, [2015-10-16T03:03:51.399723 #2937:afb98c]  INFO -- : Original parameters are {}
[----] I, [2015-10-16T03:03:51.399842 #2937:afb98c]  INFO -- : RedhatAccessCfme::PortalClient: HTTP proxy is set to 
[----] I, [2015-10-16T03:03:51.399914 #2937:afb98c]  INFO -- : RedhatAccessCfme::PortalClient: Called no subset proxy
[----] I, [2015-10-16T03:03:51.399969 #2937:afb98c]  INFO -- : RedhatAccessCfme::PortalClient: Doing non subset call--- to https://cert-api.access.redhat.com/r/insights/systems/status
[----] E, [2015-10-16T03:03:51.770575 #2937:afb98c] ERROR -- : RedhatAccessCfme::PortalClient: Caught HTTP error when proxying call to tapi: 401 Unauthorized: {"message":"Unauthorized: null user"}
[----] E, [2015-10-16T03:03:51.770693 #2937:afb98c] ERROR -- : {:data=><RestClient::Response 401 "{\"message\":...">, :error=>401 Unauthorized: {"message":"Unauthorized: null user"}, :code=>401}
[----] I, [2015-10-16T03:03:51.778785 #2937:afb98c]  INFO -- : Completed 401 Unauthorized in 396ms (Views: 0.2ms | ActiveRecord: 1.3ms)
[----] I, [2015-10-16T03:03:52.032792 #2937:afb98c]  INFO -- : Started GET "/redhat_access/r/insights/acks?include=rule" for 127.0.0.1 at 2015-10-16 03:03:52 -0400
[----] I, [2015-10-16T03:03:52.034010 #2937:afb98c]  INFO -- : Processing by RedhatAccessCfme::TelemetryApiController#proxy as HTML
[----] I, [2015-10-16T03:03:52.034106 #2937:afb98c]  INFO -- :   Parameters: {"include"=>"rule", "path"=>"acks"}
[----] I, [2015-10-16T03:03:52.053839 #2937:afb98c]  INFO -- : Original parameters are {"include"=>"rule"}
[----] I, [2015-10-16T03:03:52.053960 #2937:afb98c]  INFO -- : RedhatAccessCfme::PortalClient: HTTP proxy is set to 
[----] I, [2015-10-16T03:03:52.054014 #2937:afb98c]  INFO -- : RedhatAccessCfme::PortalClient: Called no subset proxy
[----] I, [2015-10-16T03:03:52.054080 #2937:afb98c]  INFO -- : RedhatAccessCfme::PortalClient: Doing non subset call--- to https://cert-api.access.redhat.com/r/insights/acks
[----] E, [2015-10-16T03:03:52.411621 #2937:afb98c] ERROR -- : RedhatAccessCfme::PortalClient: Caught HTTP error when proxying call to tapi: 401 Unauthorized: {"message":"Unauthorized: null user"}
[----] E, [2015-10-16T03:03:52.411754 #2937:afb98c] ERROR -- : {:data=><RestClient::Response 401 "{\"message\":...">, :error=>401 Unauthorized: {"message":"Unauthorized: null user"}, :code=>401}
[----] I, [2015-10-16T03:03:52.423697 #2937:afb98c]  INFO -- : Completed 401 Unauthorized in 389ms (Views: 0.3ms | ActiveRecord: 1.5ms)
[----] I, [2015-10-16T03:03:52.426964 #2937:afb98c]  INFO -- : Started GET "/redhat_access/r/insights/reports?accept=countMap" for 127.0.0.1 at 2015-10-16 03:03:52 -0400
[----] I, [2015-10-16T03:03:52.428522 #2937:afb98c]  INFO -- : Processing by RedhatAccessCfme::TelemetryApiController#proxy as HTML
[----] I, [2015-10-16T03:03:52.428623 #2937:afb98c]  INFO -- :   Parameters: {"accept"=>"countMap", "path"=>"reports"}
[----] I, [2015-10-16T03:03:52.447916 #2937:afb98c]  INFO -- : Original parameters are {"accept"=>"countMap"}
[----] I, [2015-10-16T03:03:52.448092 #2937:afb98c]  INFO -- : RedhatAccessCfme::PortalClient: HTTP proxy is set to 
[----] I, [2015-10-16T03:03:52.448156 #2937:afb98c]  INFO -- : RedhatAccessCfme::PortalClient: Called no subset proxy
[----] I, [2015-10-16T03:03:52.448208 #2937:afb98c]  INFO -- : RedhatAccessCfme::PortalClient: Doing non subset call--- to https://cert-api.access.redhat.com/r/insights/reports
[----] E, [2015-10-16T03:03:52.809758 #2937:afb98c] ERROR -- : RedhatAccessCfme::PortalClient: Caught HTTP error when proxying call to tapi: 401 Unauthorized: {"message":"Unauthorized: null user"}
[----] E, [2015-10-16T03:03:52.809873 #2937:afb98c] ERROR -- : {:data=><RestClient::Response 401 "{\"message\":...">, :error=>401 Unauthorized: {"message":"Unauthorized: null user"}, :code=>401}
[----] I, [2015-10-16T03:03:52.818186 #2937:afb98c]  INFO -- : Completed 401 Unauthorized in 389ms (Views: 0.2ms | ActiveRecord: 1.4ms)
[----] I, [2015-10-16T03:03:52.820102 #2937:afb98c]  INFO -- : Started GET "/redhat_access/r/insights/groups?include=systems" for 127.0.0.1 at 2015-10-16 03:03:52 -0400
[----] I, [2015-10-16T03:03:52.821284 #2937:afb98c]  INFO -- : Processing by RedhatAccessCfme::TelemetryApiController#proxy as HTML
[----] I, [2015-10-16T03:03:52.821363 #2937:afb98c]  INFO -- :   Parameters: {"include"=>"systems", "path"=>"groups"}
[----] I, [2015-10-16T03:03:52.839141 #2937:afb98c]  INFO -- : Original parameters are {"include"=>"systems"}
[----] I, [2015-10-16T03:03:52.839288 #2937:afb98c]  INFO -- : RedhatAccessCfme::PortalClient: HTTP proxy is set to 
[----] I, [2015-10-16T03:03:52.839343 #2937:afb98c]  INFO -- : RedhatAccessCfme::PortalClient: Called no subset proxy
[----] I, [2015-10-16T03:03:52.839380 #2937:afb98c]  INFO -- : RedhatAccessCfme::PortalClient: Doing non subset call--- to https://cert-api.access.redhat.com/r/insights/groups
[----] E, [2015-10-16T03:03:53.205531 #2937:afb98c] ERROR -- : RedhatAccessCfme::PortalClient: Caught HTTP error when proxying call to tapi: 401 Unauthorized: {"message":"Unauthorized: null user"}
[----] E, [2015-10-16T03:03:53.205640 #2937:afb98c] ERROR -- : {:data=><RestClient::Response 401 "{\"message\":...">, :error=>401 Unauthorized: {"message":"Unauthorized: null user"}, :code=>401}
[----] I, [2015-10-16T03:03:53.213871 #2937:afb98c]  INFO -- : Completed 401 Unauthorized in 392ms (Views: 0.2ms | ActiveRecord: 1.3ms)
[----] I, [2015-10-16T03:03:57.252024 #2937:afb98c]  INFO -- : Started GET "/assets/assets/images/i_chart.png" for 127.0.0.1 at 2015-10-16 03:03:57 -0400
[----] F, [2015-10-16T03:03:57.256201 #2937:afb98c] FATAL -- : 
ActionController::RoutingError (No route matches [GET] "/assets/assets/images/i_chart.png"):
  actionpack (4.2.4) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
  railties (4.2.4) lib/rails/rack/logger.rb:38:in `call_app'
  railties (4.2.4) lib/rails/rack/logger.rb:22:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/request_id.rb:21:in `call'
  rack (1.6.4) lib/rack/methodoverride.rb:22:in `call'
  rack (1.6.4) lib/rack/runtime.rb:18:in `call'
  activesupport (4.2.4) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
  rack (1.6.4) lib/rack/lock.rb:17:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/static.rb:116:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/static.rb:116:in `call'
  rack (1.6.4) lib/rack/sendfile.rb:113:in `call'
  railties (4.2.4) lib/rails/engine.rb:518:in `call'
  railties (4.2.4) lib/rails/application.rb:165:in `call'
  rack (1.6.4) lib/rack/content_length.rb:15:in `call'
  thin (1.6.3) lib/thin/connection.rb:86:in `block in pre_process'
  thin (1.6.3) lib/thin/connection.rb:84:in `catch'
  thin (1.6.3) lib/thin/connection.rb:84:in `pre_process'
  thin (1.6.3) lib/thin/connection.rb:53:in `process'
  thin (1.6.3) lib/thin/connection.rb:39:in `receive_data'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run_machine'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run'
  thin (1.6.3) lib/thin/backends/base.rb:73:in `start'
  thin (1.6.3) lib/thin/server.rb:162:in `start'
  rack (1.6.4) lib/rack/handler/thin.rb:19:in `run'
  rack (1.6.4) lib/rack/server.rb:286:in `start'
  railties (4.2.4) lib/rails/commands/server.rb:80:in `start'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:80:in `block in server'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:75:in `tap'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:75:in `server'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:39:in `run_command!'
  railties (4.2.4) lib/rails/commands.rb:17:in `<top (required)>'
  bin/rails:4:in `require'
  bin/rails:4:in `<main>'


[----] I, [2015-10-16T03:03:57.267189 #2937:afb98c]  INFO -- : Started GET "/assets/assets/fonts/fontawesome-webfont.woff?v=4.2.0" for 127.0.0.1 at 2015-10-16 03:03:57 -0400
[----] F, [2015-10-16T03:03:57.270791 #2937:afb98c] FATAL -- : 
ActionController::RoutingError (No route matches [GET] "/assets/assets/fonts/fontawesome-webfont.woff"):
  actionpack (4.2.4) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
  railties (4.2.4) lib/rails/rack/logger.rb:38:in `call_app'
  railties (4.2.4) lib/rails/rack/logger.rb:22:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/request_id.rb:21:in `call'
  rack (1.6.4) lib/rack/methodoverride.rb:22:in `call'
  rack (1.6.4) lib/rack/runtime.rb:18:in `call'
  activesupport (4.2.4) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
  rack (1.6.4) lib/rack/lock.rb:17:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/static.rb:116:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/static.rb:116:in `call'
  rack (1.6.4) lib/rack/sendfile.rb:113:in `call'
  railties (4.2.4) lib/rails/engine.rb:518:in `call'
  railties (4.2.4) lib/rails/application.rb:165:in `call'
  rack (1.6.4) lib/rack/content_length.rb:15:in `call'
  thin (1.6.3) lib/thin/connection.rb:86:in `block in pre_process'
  thin (1.6.3) lib/thin/connection.rb:84:in `catch'
  thin (1.6.3) lib/thin/connection.rb:84:in `pre_process'
  thin (1.6.3) lib/thin/connection.rb:53:in `process'
  thin (1.6.3) lib/thin/connection.rb:39:in `receive_data'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run_machine'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run'
  thin (1.6.3) lib/thin/backends/base.rb:73:in `start'
  thin (1.6.3) lib/thin/server.rb:162:in `start'
  rack (1.6.4) lib/rack/handler/thin.rb:19:in `run'
  rack (1.6.4) lib/rack/server.rb:286:in `start'
  railties (4.2.4) lib/rails/commands/server.rb:80:in `start'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:80:in `block in server'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:75:in `tap'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:75:in `server'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:39:in `run_command!'
  railties (4.2.4) lib/rails/commands.rb:17:in `<top (required)>'
  bin/rails:4:in `require'
  bin/rails:4:in `<main>'


[----] I, [2015-10-16T03:03:57.598482 #2937:afb98c]  INFO -- : Started GET "/assets/assets/fonts/fontawesome-webfont.ttf?v=4.2.0" for 127.0.0.1 at 2015-10-16 03:03:57 -0400
[----] F, [2015-10-16T03:03:57.636616 #2937:afb98c] FATAL -- : 
ActionController::RoutingError (No route matches [GET] "/assets/assets/fonts/fontawesome-webfont.ttf"):
  actionpack (4.2.4) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
  railties (4.2.4) lib/rails/rack/logger.rb:38:in `call_app'
  railties (4.2.4) lib/rails/rack/logger.rb:22:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/request_id.rb:21:in `call'
  rack (1.6.4) lib/rack/methodoverride.rb:22:in `call'
  rack (1.6.4) lib/rack/runtime.rb:18:in `call'
  activesupport (4.2.4) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
  rack (1.6.4) lib/rack/lock.rb:17:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/static.rb:116:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/static.rb:116:in `call'
  rack (1.6.4) lib/rack/sendfile.rb:113:in `call'
  railties (4.2.4) lib/rails/engine.rb:518:in `call'
  railties (4.2.4) lib/rails/application.rb:165:in `call'
  rack (1.6.4) lib/rack/content_length.rb:15:in `call'
  thin (1.6.3) lib/thin/connection.rb:86:in `block in pre_process'
  thin (1.6.3) lib/thin/connection.rb:84:in `catch'
  thin (1.6.3) lib/thin/connection.rb:84:in `pre_process'
  thin (1.6.3) lib/thin/connection.rb:53:in `process'
  thin (1.6.3) lib/thin/connection.rb:39:in `receive_data'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run_machine'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run'
  thin (1.6.3) lib/thin/backends/base.rb:73:in `start'
  thin (1.6.3) lib/thin/server.rb:162:in `start'
  rack (1.6.4) lib/rack/handler/thin.rb:19:in `run'
  rack (1.6.4) lib/rack/server.rb:286:in `start'
  railties (4.2.4) lib/rails/commands/server.rb:80:in `start'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:80:in `block in server'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:75:in `tap'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:75:in `server'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:39:in `run_command!'
  railties (4.2.4) lib/rails/commands.rb:17:in `<top (required)>'
  bin/rails:4:in `require'
  bin/rails:4:in `<main>'
Comment 4 Lindani Phiri 2015-10-28 14:31:51 EDT
Fix for this bug is included in cfme-5.5.0.8
Comment 5 Aziza Karol 2015-11-02 04:08:28 EST
No error displayed on clicking Red Hat Insights

Verified:
5.5.0.8-beta1.4.20151027164951_4ab7fea
Comment 7 errata-xmlrpc 2015-12-08 08:39:02 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.